Bug 192589 - Backlight stays off on Asus S5A after resume
Backlight stays off on Asus S5A after resume
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: pm-utils (Show other bugs)
6
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Phil Knirsch
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-21 06:43 EDT by Trond Danielsen
Modified: 2015-03-04 20:17 EST (History)
4 users (show)

See Also:
Fixed In Version: FC7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-10 17:45:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg (17.64 KB, text/plain)
2006-05-21 06:43 EDT, Trond Danielsen
no flags Details
dmesg output (121.25 KB, application/octet-stream)
2007-01-23 13:13 EST, Trond Danielsen
no flags Details
/var/log/messages (1.62 MB, application/octet-stream)
2007-01-23 13:17 EST, Trond Danielsen
no flags Details

  None (edit)
Description Trond Danielsen 2006-05-21 06:43:24 EDT
Description of problem:
Resume from suspend to ram fail on Asus S5A (also known as Asus S5000). The
graphics card is an intel 915.

The machine resumes, and I can log into it remotely with ssh, but the screen
remains blank and it doesn't respond to input from the keyboard, only the
special keys that acpi handles works (I can press the power button to turn it
of, but I can't kill X with ctrl-alt-bs or reboot with ctrl-alt-del)

Version-Release number of selected component (if applicable):
kernel-2.6.16-1.2111_FC5
pm-utils-0.15-1

How reproducible:
Every time.

Steps to Reproduce:
1. Select suspend from the gnome menu
2. Wait until the machine suspend.
3. Resume by pressing any key.
  
Actual results:
The screen remains blank, but I can still log into it with ssh.

Expected results:
The machine should resume from where it was before suspend...

Additional info:
I have tried to add acpi_sleep=s3_bios kernel parameter, but that didn't solve it.
The complete spec for the machine can be found here:
http://www.asus.com/products4.aspx?modelmenu=2&model=500&l1=5&l2=75&l3=127
Comment 1 Trond Danielsen 2006-05-21 06:43:24 EDT
Created attachment 129779 [details]
dmesg
Comment 2 Nigel Cunningham 2006-12-03 18:11:33 EST
I would suggest trying the 915resolution tool after resuming, or (failing 
that) vbetool.
Comment 3 Phil Knirsch 2007-01-23 11:01:58 EST
Have you tried this with newer version of pm-utils? There are quite a few 
changes in the FC6 version of it that might fix the problem you're describing.

Thanks,

Read ya, Phil
Comment 4 Trond Danielsen 2007-01-23 13:13:05 EST
I just tried it again. This time it actually resumed, after switching from X to
console and back again to bring the display back on. However, another problem
occured, which forced me to reboot. I attached the output from dmesg and
/var/log/messages
Comment 5 Trond Danielsen 2007-01-23 13:13:49 EST
Created attachment 146326 [details]
dmesg output
Comment 6 Trond Danielsen 2007-01-23 13:17:33 EST
Created attachment 146327 [details]
/var/log/messages
Comment 7 Trond Danielsen 2007-02-03 04:24:47 EST
After upgrading to the latest kernel (2.6.19), suspend and resume works just
fine, except that I have to a text console, back to X and then manually adjust
the brightness of the display to turn the backlight back on.
Comment 8 Till Maas 2007-08-30 11:05:13 EDT
FC5 is now end of life, so sadly this bug won't be fixed in this release. Is
this bug still presend in FC6 or F7?
Comment 9 Trond Danielsen 2007-09-04 08:37:04 EDT
As mentioned in comment #7, suspend now work ok on my laptop. I therefore
suggest that this bug should be closed.
Comment 10 Till Maas 2007-09-04 08:59:09 EDT
You should not need to manually turn the backlight on, so I keep this open,
maybe this can be fixed, too.
Comment 11 Nigel Cunningham 2007-09-10 18:49:51 EDT
I see above you tried acpi_sleep=s3_bios without success. How about 
acpi_sleep=s3_mode or acpi_sleep=s3_bios,s3_mode. If either of these later two 
work, you could submit a quirk for your laptop to Richard Hughes, and it would 
then just work with a future pmutils version.
Comment 12 Trond Danielsen 2007-09-15 16:28:00 EDT
My laptop now runs F-7, and the backlight issue have been fixed in this release.
Whether the problem has been solved by a new kernel or an updated pmutils
package, I do not know.

Note You need to log in before you can comment on or make changes to this bug.